--v6.1版青岛定制功能脚本，此次统一集成在v6.3版本中
--menu表新增静态页功能字段
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'width'))
alter table menu add width int null  
GO
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'height'))
alter table menu add height int null  
GO
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'isStatic'))
alter table menu add isStatic int null  
GO
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'staticUrl'))
alter table menu add staticUrl varchar(100) null  
GO
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'staticTime'))
alter table menu add staticTime datetime null  
GO


--v6.3版新增脚本请在此后开始维护
--新增简介长度字段
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'menu')) AND (name = 'deslength'))
alter table menu add deslength int null  
GO

--增加留言回复内容审核功能
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'messageBoard')) AND (name = 'reAudit'))
alter table messageBoard add reAudit int null
GO

--增加新版信息查询栏目的文章ID关联字段
IF NOT EXISTS (SELECT name FROM syscolumns WHERE (id = OBJECT_ID(N'infoSearch')) AND (name = 'newsId'))
alter table infoSearch add newsId int null
GO